from gr4vy import Gr4vy, auth
import os
with Gr4vy(
id="mattilda",
server="production",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:
res = g_client.payment_methods.payment_service_tokens.list(payment_method_id="ef9496d8-53a5-4aad-8ca2-00eb68334389")
# Handle response
print(res)
import { Gr4vy } from "@gr4vy/sdk";
const gr4vy = new Gr4vy({
server: "sandbox",
id: "mattilda",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.paymentMethods.paymentServiceTokens.list("ef9496d8-53a5-4aad-8ca2-00eb68334389");
console.log(result);
}
run();
from gr4vy import Gr4vy, auth
import os
with Gr4vy(
id="mattilda",
server="production",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:
res = g_client.payment_methods.payment_service_tokens.list(payment_method_id="ef9496d8-53a5-4aad-8ca2-00eb68334389")
# Handle response
print(res)
import { Gr4vy } from "@gr4vy/sdk";
const gr4vy = new Gr4vy({
server: "sandbox",
id: "mattilda",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.paymentMethods.paymentServiceTokens.list("ef9496d8-53a5-4aad-8ca2-00eb68334389");
console.log(result);
}
run();
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"mattilda Pay","colors":{"primary":"#0069ED","light":"#4D9CFF","dark":"#0050B4"},"logo":{"light":"https://mintcdn.com/mattilda/yVMPq-_dro0vSEiX/assets/logos/light.svg?fit=max\u0026auto=format\u0026n=yVMPq-_dro0vSEiX\u0026q=85\u0026s=ebe404856efad414fe0e5816e122fbf3","dark":"https://mintcdn.com/mattilda/yVMPq-_dro0vSEiX/assets/logos/dark.svg?fit=max\u0026auto=format\u0026n=yVMPq-_dro0vSEiX\u0026q=85\u0026s=5064d58e92f6cf9e1b73945b8043e745"},"favicon":"https://mintcdn.com/mattilda/NYRslQ0epuL-JaEH/assets/favicon.png?fit=max\u0026auto=format\u0026n=NYRslQ0epuL-JaEH\u0026q=85\u0026s=0b246d2ab24fa7d49ab657027a1a4bf8","api":{"playground":{"display":"interactive"},"examples":{"defaults":"required","languages":["csharp","go","java","php","python","typescript"]},"mdx":{"auth":{"method":"bearer"},"server":["https://api.sandbox.mattildapayments.com","https://api.mattildapayments.com"]}},"navbar":{"links":[{"icon":"github","href":"https://github.com/gr4vy","label":"GitHub"}],"primary":{"type":"button","label":"mattilda Pay","href":"https://mattildapay.com"}},"footer":{"socials":{"website":"https://mattildapay.com","github":"https://github.com/gr4vy","linkedin":"https://www.linkedin.com/company/mattilda.io"}},"styling":{"eyebrows":"breadcrumbs","codeblocks":"dark","latex":true},"integrations":{"intercom":{"appId":"bp5sj6z7"}},"contextual":{"options":["chatgpt","claude","copy","view"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"mattilda","hasAudioNarration":false,"actualSubdomain":"mattilda","customDomains":["docs.mattildapayments.com"],"gitSource":{"type":"github","owner":"mattilda-education","repo":"gr4vy-docs-mintlify","deployBranch":"mattilda_pay","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"feedback":{"thumbs":true,"edits":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"},"WEB_MCP":{"status":"DISABLED"},"NARRATION":{"status":"DISABLED"}},"buildId":"6ad7fc40b86df1a05c8ecc42","clientVersion":"0.0.4088","searchFilterCounts":[{"language":"default","tag":"Payments","count":133},{"language":"default","tag":"API Reference","count":80},{"language":"default","tag":"Integration","count":69},{"language":"default","tag":"Features","count":47},{"language":"default","tag":"Quick start","count":32},{"language":"default","tag":"Vault","count":18},{"language":"default","tag":"E-commerce Plugins","count":15},{"language":"default","tag":"Embed","count":13},{"language":"default","tag":"Other","count":12},{"language":"default","tag":"Network tokens","count":11}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".payment-service-definition{background-color:white!important;border:1px solid #0a0e0d1a;border-radius:16px;padding:2em;vertical-align:middle}.payment-service-definition img{margin:0 1em 0 0;max-width:3em;display:inline-block}.payment-service-definition h2{margin:0;display:inline-block;position:relative;top:0.1em}"}],"page":{"pagePath":"reference/payment-service-tokens/list-payment-service-tokens","slug":"/reference/payment-service-tokens/list-payment-service-tokens","pageMetadata":{"openapi":"/openapi.speakeasy.json GET /payment-methods/{payment_method_id}/payment-service-tokens","title":"List payment service tokens","description":"List all gateway tokens stored for a payment method.","href":"/reference/payment-service-tokens/list-payment-service-tokens"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"List all gateway tokens stored for a payment method.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,..._provideComponents(),...props.components};return _jsxs(_components.p,{children:[`This endpoint requires the `,_jsx(_components.code,{children:`payment-methods.read`}),` scope.`]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"dark","config":{},"pageMetadata":{"openapi":"/openapi.speakeasy.json GET /payment-methods/{payment_method_id}/payment-service-tokens","title":"List payment service tokens","description":"List all gateway tokens stored for a payment method.","href":"/reference/payment-service-tokens/list-payment-service-tokens"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/mattilda/eb353c0e6fdb81a8/assets/data/payment-service-definitions.js"],"openApiReferenceData":{"operation":{"tags":["Payment methods - Payment service tokens"],"summary":"List payment service tokens","description":"List all gateway tokens stored for a payment method.","operationId":"list_payment_method_payment_service_tokens","parameters":["701d98ee-4319-468e-aea4-3fed56401bd1","235f850d-691b-4a8d-8c6e-82fc1d04aee6","67c1ed47-3199-4f26-9190-2dcf6663e5c0"],"responses":{"200":"8f660075-4703-43e9-8acc-16ffb1f84a6b","400":"ec2708be-34ac-4c7e-8b9f-dc9d05c31fee","401":"29c26107-fcd1-4605-9b34-343dcb38c1e3","403":"3425cb1d-e0e4-4099-9f61-d44738eb19cf","404":"718d80ee-e3b5-4e3c-9228-a4a7878d5c57","405":"cd3e8958-6efe-4cc7-8a10-55ba821e8787","409":"e148012c-689f-4588-a82a-ff0f929b9f17","422":"775e2e9a-c702-46fa-91ff-362900e49f5c","425":"ce261015-67db-45b7-99d6-c9bf33109b82","429":"e86bca8c-453d-4730-a510-530f2fd61ae4","500":"ac78cb17-c77a-4acc-bd2e-2c3cd674f6ff","502":"0eed2367-2c60-457a-8a49-95e81464ddfa","504":"a64befed-e8c6-4a65-8e22-9d867227b3b6"},"x-speakeasy-name-override":"list","x-speakeasy-group":"payment-methods.payment-service-tokens","x-speakeasy-retries":{"strategy":"backoff","backoff":{"initialInterval":200,"maxInterval":200,"maxElapsedTime":1000,"exponent":1},"statusCodes":["5XX"],"retryConnectionErrors":true},"x-codeSamples":[{"lang":"csharp","label":"C#","source":"using Gr4vy;\nusing Gr4vy.Models.Components;\n\nvar sdk = new Gr4vySDK(\n id: \"mattilda\",\n server: SDKConfig.Server.Sandbox,\n bearerAuthSource: Auth.WithToken(privateKey),\n merchantAccountId: \"default\"\n);\n\nvar res = await sdk.PaymentMethods.PaymentServiceTokens.ListAsync(paymentMethodId: \"ef9496d8-53a5-4aad-8ca2-00eb68334389\");\n\n// handle response"},{"lang":"typescript","label":"Typescript","source":"import { Gr4vy } from \"@gr4vy/sdk\";\n\nconst gr4vy = new Gr4vy({\n server: \"sandbox\",\n id: \"mattilda\",\n bearerAuth: withToken({\n privateKey: fs.readFileSync(\"private_key.pem\", \"utf8\"),\n }),\n});\n\nasync function run() {\n const result = await gr4vy.paymentMethods.paymentServiceTokens.list(\"ef9496d8-53a5-4aad-8ca2-00eb68334389\");\n\n console.log(result);\n}\n\nrun();"},{"lang":"python","label":"Python","source":"from gr4vy import Gr4vy, auth\nimport os\n\n\nwith Gr4vy(\n id=\"mattilda\",\n server=\"production\",\n merchant_account_id=\"default\",\n bearer_auth=auth.with_token(open(\"./private_key.pem\").read())\n) as g_client:\n\n res = g_client.payment_methods.payment_service_tokens.list(payment_method_id=\"ef9496d8-53a5-4aad-8ca2-00eb68334389\")\n\n # Handle response\n print(res)"},{"lang":"go","label":"Go","source":"package main\n\nimport(\n\t\"context\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"os\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n privateKey := \"....\"\n\twithToken := gr4vy.WithToken(privateKey, []JWTScope{ReadAll, WriteAll}, 60)\n\n\ts := gr4vy.New(\n\t\tgr4vy.WithID(\"mattilda\"),\n\t\tgr4vy.WithServer(gr4vy.ServerSandbox),\n\t\tgr4vy.WithSecuritySource(withToken),\n\t\tgr4vy.WithMerchantAccountID(\"default\"),\n\t)\n\n res, err := s.PaymentMethods.PaymentServiceTokens.List(ctx, \"ef9496d8-53a5-4aad-8ca2-00eb68334389\", nil)\n if err != nil {\n log.Fatal(err)\n }\n if res != nil {\n // handle response\n }\n}"},{"lang":"php","label":"PHP","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Gr4vy;\nuse Gr4vy\\Auth;\n\n \n$privateKey = \"...\"; \n\n$sdk = Gr4vy\\SDK::builder()\n -\\u003esetId('mattilda')\n -\\u003esetServer('sandbox')\n -\\u003esetSecuritySource(Auth::withToken($privateKey))\n -\\u003esetMerchantAccountId('default')\n -\\u003ebuild();\n\n\n\n$response = $sdk->paymentMethods->paymentServiceTokens->list(\n paymentMethodId: 'ef9496d8-53a5-4aad-8ca2-00eb68334389'\n);\n\nif ($response->paymentServiceTokens !== null) {\n // handle response\n}"},{"lang":"java","label":"Java","source":"package hello.world;\n\nimport java.lang.Exception;\nimport com.gr4vy.sdk.BearerSecuritySource;\nimport com.gr4vy.sdk.Gr4vy;\nimport com.gr4vy.sdk.Gr4vy.AvailableServers;\nimport org.openapis.openapi.models.errors.*;\nimport org.openapis.openapi.models.operations.ListPaymentMethodPaymentServiceTokensResponse;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Gr4vy sdk = Gr4vy.builder()\n .id(\"mattilda\")\n .server(AvailableServers.SANDBOX)\n .merchantAccountId(\"default\")\n .securitySource(new BearerSecuritySource.Builder(privateKey).build())\n .build();\n\n ListPaymentMethodPaymentServiceTokensResponse res = sdk.paymentMethods().paymentServiceTokens().list()\n .paymentMethodId(\"ef9496d8-53a5-4aad-8ca2-00eb68334389\")\n .call();\n\n if (res.paymentServiceTokens().isPresent()) {\n // handle response\n }\n }\n}"}],"method":"get","type":"path","servers":["186798d6-ee7d-4207-abf7-742461009e5f","53a9a540-fa31-45ff-85ed-d97230ea1243"],"security":["226b6aec-2806-4148-978f-f7b80b7bb3c6"],"path":"/payment-methods/{payment_method_id}/payment-service-tokens","baseUrlOptions":["https://api.sandbox.mattildapayments.com","https://api.mattildapayments.com"],"title":"List payment service tokens","codeSamples":[{"label":"C#","lang":"csharp","source":"using Gr4vy;\nusing Gr4vy.Models.Components;\n\nvar sdk = new Gr4vySDK(\n id: \"mattilda\",\n server: SDKConfig.Server.Sandbox,\n bearerAuthSource: Auth.WithToken(privateKey),\n merchantAccountId: \"default\"\n);\n\nvar res = await sdk.PaymentMethods.PaymentServiceTokens.ListAsync(paymentMethodId: \"ef9496d8-53a5-4aad-8ca2-00eb68334389\");\n\n// handle response"},{"label":"Typescript","lang":"typescript","source":"import { Gr4vy } from \"@gr4vy/sdk\";\n\nconst gr4vy = new Gr4vy({\n server: \"sandbox\",\n id: \"mattilda\",\n bearerAuth: withToken({\n privateKey: fs.readFileSync(\"private_key.pem\", \"utf8\"),\n }),\n});\n\nasync function run() {\n const result = await gr4vy.paymentMethods.paymentServiceTokens.list(\"ef9496d8-53a5-4aad-8ca2-00eb68334389\");\n\n console.log(result);\n}\n\nrun();"},{"label":"Python","lang":"python","source":"from gr4vy import Gr4vy, auth\nimport os\n\n\nwith Gr4vy(\n id=\"mattilda\",\n server=\"production\",\n merchant_account_id=\"default\",\n bearer_auth=auth.with_token(open(\"./private_key.pem\").read())\n) as g_client:\n\n res = g_client.payment_methods.payment_service_tokens.list(payment_method_id=\"ef9496d8-53a5-4aad-8ca2-00eb68334389\")\n\n # Handle response\n print(res)"},{"label":"Go","lang":"go","source":"package main\n\nimport(\n\t\"context\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"os\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n privateKey := \"....\"\n\twithToken := gr4vy.WithToken(privateKey, []JWTScope{ReadAll, WriteAll}, 60)\n\n\ts := gr4vy.New(\n\t\tgr4vy.WithID(\"mattilda\"),\n\t\tgr4vy.WithServer(gr4vy.ServerSandbox),\n\t\tgr4vy.WithSecuritySource(withToken),\n\t\tgr4vy.WithMerchantAccountID(\"default\"),\n\t)\n\n res, err := s.PaymentMethods.PaymentServiceTokens.List(ctx, \"ef9496d8-53a5-4aad-8ca2-00eb68334389\", nil)\n if err != nil {\n log.Fatal(err)\n }\n if res != nil {\n // handle response\n }\n}"},{"label":"PHP","lang":"php","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Gr4vy;\nuse Gr4vy\\Auth;\n\n \n$privateKey = \"...\"; \n\n$sdk = Gr4vy\\SDK::builder()\n -\\u003esetId('mattilda')\n -\\u003esetServer('sandbox')\n -\\u003esetSecuritySource(Auth::withToken($privateKey))\n -\\u003esetMerchantAccountId('default')\n -\\u003ebuild();\n\n\n\n$response = $sdk->paymentMethods->paymentServiceTokens->list(\n paymentMethodId: 'ef9496d8-53a5-4aad-8ca2-00eb68334389'\n);\n\nif ($response->paymentServiceTokens !== null) {\n // handle response\n}"},{"label":"Java","lang":"java","source":"package hello.world;\n\nimport java.lang.Exception;\nimport com.gr4vy.sdk.BearerSecuritySource;\nimport com.gr4vy.sdk.Gr4vy;\nimport com.gr4vy.sdk.Gr4vy.AvailableServers;\nimport org.openapis.openapi.models.errors.*;\nimport org.openapis.openapi.models.operations.ListPaymentMethodPaymentServiceTokensResponse;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Gr4vy sdk = Gr4vy.builder()\n .id(\"mattilda\")\n .server(AvailableServers.SANDBOX)\n .merchantAccountId(\"default\")\n .securitySource(new BearerSecuritySource.Builder(privateKey).build())\n .build();\n\n ListPaymentMethodPaymentServiceTokensResponse res = sdk.paymentMethods().paymentServiceTokens().list()\n .paymentMethodId(\"ef9496d8-53a5-4aad-8ca2-00eb68334389\")\n .call();\n\n if (res.paymentServiceTokens().isPresent()) {\n // handle response\n }\n }\n}"}],"requestExampleLanguages":["csharp","go","java","php","python","typescript"],"requiredOnlyExamples":true,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"701d98ee-4319-468e-aea4-3fed56401bd1":{"name":"payment_method_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Payment Method Id","description":"The ID of the payment method","examples":["ef9496d8-53a5-4aad-8ca2-00eb68334389"],"isRequired":true,"uniqueKey":"","typeLabel":"string\u003cuuid>"},"description":"The ID of the payment method"},"235f850d-691b-4a8d-8c6e-82fc1d04aee6":{"name":"payment_service_id","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Payment Service Id","description":"The ID of the payment service","format":"uuid","example":"fffd152a-9532-4087-9a4f-de58754210f0","uniqueKey":"oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Payment Service Id","description":"The ID of the payment service","example":"fffd152a-9532-4087-9a4f-de58754210f0","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string\u003cuuid> | null"},"description":"The ID of the payment service"},"67c1ed47-3199-4f26-9190-2dcf6663e5c0":{"name":"x-gr4vy-merchant-account-id","in":"header","required":false,"schema":{"oneOf":[{"type":"string","title":"X-Gr4Vy-Merchant-Account-Id","description":"The ID of the merchant account to use for this request.","example":"default","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"X-Gr4Vy-Merchant-Account-Id","description":"The ID of the merchant account to use for this request.","example":"default","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"description":"The ID of the merchant account to use for this request.","x-speakeasy-name-override":"merchantAccountId"}},"responses":{"8f660075-4703-43e9-8acc-16ffb1f84a6b":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"items":{"items":{"properties":{"id":{"type":"string","format":"uuid","title":"Id","description":"The ID for the payment service token.","examples":["07e70d14-a0c0-4ff5-bd4a-509959af0e4d"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"payment_method_id":{"type":"string","format":"uuid","title":"Payment Method Id","description":"The ID of the payment method used to generate this token","examples":["ef9496d8-53a5-4aad-8ca2-00eb68334389"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].payment_method_id","typeLabel":"string\u003cuuid>"},"payment_service_id":{"type":"string","format":"uuid","title":"Payment Service Id","description":"The ID of the payment method used to generate this token.","examples":["fffd152a-9532-4087-9a4f-de58754210f0"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].payment_service_id","typeLabel":"string\u003cuuid>"},"status":{"type":"string","enum":["processing","buyer_approval_required","succeeded","failed","paused"],"title":"PaymentMethodStatus","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The state of the payment service token.","examples":["succeeded"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].status","typeLabel":"enum\u003cstring>"},"created_at":{"type":"string","format":"date-time","title":"Created At","description":"The date and time when this payment service token was first created in our system.","examples":["2013-07-16T19:23:00.000+00:00"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].created_at","typeLabel":"string\u003cdate-time>"},"updated_at":{"type":"string","format":"date-time","title":"Updated At","description":"The date and time when this payment service token was last updated in our system.","examples":["2013-07-16T19:23:00.000+00:00"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].updated_at","typeLabel":"string\u003cdate-time>"},"type":{"type":"string","const":"payment-service-token","title":"Type","description":"Always `payment-service-token`.","default":"payment-service-token","examples":["payment-service-token"],"uniqueKey":"\\items.items.[INDEX].type","typeLabel":"string"},"approval_url":{"oneOf":[{"type":"string","title":"Approval Url","description":"The optional URL that the buyer needs to be redirected to to further authorize the token creation.","example":"https://gr4vy.app/redirect/12345","uniqueKey":"\\items.items.[INDEX].approval_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Approval Url","description":"The optional URL that the buyer needs to be redirected to to further authorize the token creation.","example":"https://gr4vy.app/redirect/12345","uniqueKey":"\\items.items.[INDEX].approval_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].approval_url","typeLabel":"string | null"},"token":{"oneOf":[{"type":"string","title":"Token","description":"The token value. Will be present if succeeded.","maxLength":300,"minLength":1,"example":"pm_12345","uniqueKey":"\\items.items.[INDEX].token.oneOf.0","typeLabel":"string"},{"type":"null","title":"Token","description":"The token value. Will be present if succeeded.","example":"pm_12345","uniqueKey":"\\items.items.[INDEX].token.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].token","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["id","payment_method_id","payment_service_id","status","created_at","updated_at"],"title":"PaymentServiceToken","uniqueKey":"\\items.items.[INDEX]","typeLabel":"PaymentServiceToken · object"},"type":"array","title":"Items","description":"A list of items returned for this request.","isRequired":true,"uniqueKey":"\\items","typeLabel":"PaymentServiceToken · object[]"}},"type":"object","required":["items"],"title":"PaymentServiceTokens","uniqueKey":"","typeLabel":"PaymentServiceTokens · object"},"examples":{"Example":{"title":"Example","value":{"items":[{"id":"07e70d14-a0c0-4ff5-bd4a-509959af0e4d","payment_method_id":"ef9496d8-53a5-4aad-8ca2-00eb68334389","payment_service_id":"fffd152a-9532-4087-9a4f-de58754210f0","status":"succeeded","created_at":"2013-07-16T19:23:00.000+00:00","updated_at":"2013-07-16T19:23:00.000+00:00","type":"payment-service-token","approval_url":"https://gr4vy.app/redirect/12345","token":"pm_12345"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"ec2708be-34ac-4c7e-8b9f-dc9d05c31fee":{"description":"The request was invalid.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `bad_request`","default":"bad_request","examples":["bad_request"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `400`.","default":400,"examples":[400],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error400","uniqueKey":"","typeLabel":"Error400 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"bad_request","status":400,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"29c26107-fcd1-4605-9b34-343dcb38c1e3":{"description":"The request was unauthorized.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `unauthorized`","default":"unauthorized","examples":["unauthorized"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `401`.","default":401,"examples":[401],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"No valid API authentication found","examples":["No valid API authentication found"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error401","uniqueKey":"","typeLabel":"Error401 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"unauthorized","status":401,"message":"No valid API authentication found","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"3425cb1d-e0e4-4099-9f61-d44738eb19cf":{"description":"The credentials were invalid or the caller did not have permission to act on the resource.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `forbidden`","default":"forbidden","examples":["forbidden"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `403`.","default":403,"examples":[403],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error403","uniqueKey":"","typeLabel":"Error403 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"forbidden","status":403,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"718d80ee-e3b5-4e3c-9228-a4a7878d5c57":{"description":"The resource was not found.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `not_found`","default":"not_found","examples":["not_found"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `404`.","default":404,"examples":[404],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"The resource could not be found","examples":["The resource could not be found"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error404","uniqueKey":"","typeLabel":"Error404 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"not_found","status":404,"message":"The resource could not be found","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"cd3e8958-6efe-4cc7-8a10-55ba821e8787":{"description":"The request method was not allowed.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `method_not_allowed`","default":"method_not_allowed","examples":["method_not_allowed"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `405`.","default":405,"examples":[405],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Method Not Allowed","examples":["Method Not Allowed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error405","uniqueKey":"","typeLabel":"Error405 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"method_not_allowed","status":405,"message":"Method Not Allowed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"e148012c-689f-4588-a82a-ff0f929b9f17":{"description":"A duplicate record was found.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `duplicate_record`","default":"duplicate_record","examples":["duplicate_record"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `409`.","default":409,"examples":[409],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error409","uniqueKey":"","typeLabel":"Error409 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"duplicate_record","status":409,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"775e2e9a-c702-46fa-91ff-362900e49f5c":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"ce261015-67db-45b7-99d6-c9bf33109b82":{"description":"The request was too early.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `too_early`","default":"too_early","examples":["too_early"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `425`.","default":425,"examples":[425],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error425","uniqueKey":"","typeLabel":"Error425 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"too_early","status":425,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"e86bca8c-453d-4730-a510-530f2fd61ae4":{"description":"Too many requests were made.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `too_many_requests`","default":"too_many_requests","examples":["too_many_requests"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `429`.","default":429,"examples":[429],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error429","uniqueKey":"","typeLabel":"Error429 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"too_many_requests","status":429,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"ac78cb17-c77a-4acc-bd2e-2c3cd674f6ff":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `server_error`","default":"server_error","examples":["server_error"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `500`.","default":500,"examples":[500],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error500","uniqueKey":"","typeLabel":"Error500 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"server_error","status":500,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"0eed2367-2c60-457a-8a49-95e81464ddfa":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `bad_gateway`","default":"bad_gateway","examples":["bad_gateway"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `502`.","default":502,"examples":[502],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error502","uniqueKey":"","typeLabel":"Error502 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"bad_gateway","status":502,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"a64befed-e8c6-4a65-8e22-9d867227b3b6":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `gateway_timeout`","default":"gateway_timeout","examples":["gateway_timeout"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","default":504,"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error504","uniqueKey":"","typeLabel":"Error504 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"gateway_timeout","status":504,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"226b6aec-2806-4148-978f-f7b80b7bb3c6":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"186798d6-ee7d-4207-abf7-742461009e5f":{"url":"https://api.sandbox.mattildapayments.com","x-speakeasy-server-id":"sandbox"},"53a9a540-fa31-45ff-85ed-d97230ea1243":{"url":"https://api.mattildapayments.com","x-speakeasy-server-id":"production"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"openapi.speakeasy.json"},"subdomain":"mattilda","siteName":"mattilda Pay","title":"List payment service tokens - mattilda Pay","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-08-13T00:05:37.032Z","originalFileLocation":"reference/payment-service-tokens/list-payment-service-tokens.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"List all gateway tokens stored for a payment method.\">\u003cmeta data-mint-head name=\"application-name\" content=\"mattilda Pay\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/mattilda/OkS2-p2fdXqcdBmD/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/mattilda/OkS2-p2fdXqcdBmD/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/mattilda/OkS2-p2fdXqcdBmD/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/mattilda/OkS2-p2fdXqcdBmD/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/mattilda/OkS2-p2fdXqcdBmD/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/mattilda/OkS2-p2fdXqcdBmD/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/mattilda/OkS2-p2fdXqcdBmD/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/mattilda/OkS2-p2fdXqcdBmD/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/mattilda/OkS2-p2fdXqcdBmD/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List payment service tokens - mattilda Pay\">\u003cmeta data-mint-head property=\"og:description\" content=\"List all gateway tokens stored for a payment method.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"mattilda Pay\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.mattildapayments.com/reference/payment-service-tokens/list-payment-service-tokens\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://mattilda.mintlify.site/_mintlify/api/og/v2?division=Payment+service+tokens\u0026amp;title=List+payment+service+tokens\u0026amp;description=List+all+gateway+tokens+stored+for+a+payment+method.\u0026amp;theme=1bb22e23ee692bf7bb82e1f1\u0026amp;signature=30b5098fd42164e8400d2e247988d22c19a70f9dd09010a27555562073ff6809\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List payment service tokens - mattilda Pay\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"List all gateway tokens stored for a payment method.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://mattilda.mintlify.site/_mintlify/api/og/v2?division=Payment+service+tokens\u0026amp;title=List+payment+service+tokens\u0026amp;description=List+all+gateway+tokens+stored+for+a+payment+method.\u0026amp;theme=1bb22e23ee692bf7bb82e1f1\u0026amp;signature=30b5098fd42164e8400d2e247988d22c19a70f9dd09010a27555562073ff6809\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/mattilda/OkS2-p2fdXqcdBmD/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"mattilda Pay\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0069ED\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.mattildapayments.com/reference/payment-service-tokens/list-payment-service-tokens\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/payment-service-tokens/list-payment-service-tokens.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.mattildapayments.com/#organization\",\"name\":\"mattilda Pay\",\"url\":\"https://docs.mattildapayments.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/mattilda/yVMPq-_dro0vSEiX/assets/logos/light.svg?fit=max\u0026auto=format\u0026n=yVMPq-_dro0vSEiX\u0026q=85\u0026s=ebe404856efad414fe0e5816e122fbf3\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.mattildapayments.com#website\",\"name\":\"mattilda Pay\",\"url\":\"https://docs.mattildapayments.com\",\"publisher\":{\"@id\":\"https://docs.mattildapayments.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.mattildapayments.com/reference/payment-service-tokens/list-payment-service-tokens#webpage\",\"url\":\"https://docs.mattildapayments.com/reference/payment-service-tokens/list-payment-service-tokens\",\"name\":\"List payment service tokens\",\"description\":\"List all gateway tokens stored for a payment method.\",\"dateModified\":\"2025-08-13T00:05:37.032Z\",\"isPartOf\":{\"@id\":\"https://docs.mattildapayments.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.mattildapayments.com/reference/payment-service-tokens/list-payment-service-tokens#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.mattildapayments.com/reference/payment-service-tokens/list-payment-service-tokens#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Vault\",\"item\":\"https://docs.mattildapayments.com/reference/account-updater/new-account-updater-job\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"List payment service tokens\",\"item\":\"https://docs.mattildapayments.com/reference/payment-service-tokens/list-payment-service-tokens\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.mattildapayments.com/reference/payment-service-tokens/list-payment-service-tokens#apireference\",\"headline\":\"List payment service tokens\",\"name\":\"List payment service tokens\",\"description\":\"List all gateway tokens stored for a payment method.\",\"url\":\"https://docs.mattildapayments.com/reference/payment-service-tokens/list-payment-service-tokens\",\"mainEntityOfPage\":{\"@id\":\"https://docs.mattildapayments.com/reference/payment-service-tokens/list-payment-service-tokens#webpage\"},\"dateModified\":\"2025-08-13T00:05:37.032Z\",\"publisher\":{\"@id\":\"https://docs.mattildapayments.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.mattildapayments.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"mattilda Pay\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"mattilda Pay","nav":{"global":null,"tabs":[{"tab":"Payments","pages":[{"title":"Payments","href":"/guides/get-started"}]},{"tab":"Dashboard","pages":[{"title":"Dashboard","href":"/guides/dashboard/insights/homepage"}]},{"tab":"API Reference","icon":{"style":"light","name":"square-terminal"},"groups":[{"group":"Introduction","pages":[{"title":"Authentication","mode":"wide","href":"/guides/api/authentication"},{"sidebarTitle":"JWTs","title":"Authentication with JWTs","href":"/guides/api/jwts"},{"title":"Environments","href":"/guides/api/environments"},{"title":"Error handling","sidebarTitle":"Errors","mode":"wide","href":"/guides/api/errors"},{"title":"Idempotent Requests","href":"/guides/api/idempotent-requests"},{"title":"IP Address Forwarding","href":"/guides/api/ip-address-forwarding"},{"title":"Pagination","href":"/guides/api/pagination"},{"title":"Rate limiting","href":"/guides/api/rate-limiting"}]},{"group":"Transactions","pages":[{"openapi":"/openapi.speakeasy.json GET /transactions","title":"List transactions","href":"/reference/transactions/list-transactions"},{"openapi":"/openapi.speakeasy.json POST /transactions","title":"Create transaction","href":"/reference/transactions/new-transaction"},{"openapi":"/openapi.speakeasy.json GET /transactions/{transaction_id}","title":"Get transaction","href":"/reference/transactions/get-transaction"},{"openapi":"/openapi.speakeasy.json POST /transactions/{transaction_id}/capture","title":"Capture transaction","href":"/reference/transactions/capture-transaction"},{"openapi":"/openapi.speakeasy.json POST /transactions/{transaction_id}/void","title":"Void transaction","href":"/reference/transactions/void-transaction"},{"openapi":"/openapi.speakeasy.json GET /transactions/{transaction_id}/events","title":"List transaction events","href":"/reference/transactions/list-transaction-events"},{"openapi":"/openapi.speakeasy.json POST /transactions/{transaction_id}/sync","title":"Sync transaction","href":"/reference/transactions/sync-transaction"}]},{"group":"Buyers","pages":[{"openapi":"/openapi.speakeasy.json GET /buyers","title":"List all buyers","href":"/reference/buyers/list-buyers"},{"openapi":"/openapi.speakeasy.json POST /buyers","title":"Add a buyer","href":"/reference/buyers/new-buyer"},{"openapi":"/openapi.speakeasy.json GET /buyers/{buyer_id}","title":"Get a buyer","href":"/reference/buyers/get-buyer"},{"openapi":"/openapi.speakeasy.json PUT /buyers/{buyer_id}","title":"Update a buyer","href":"/reference/buyers/update-buyer"},{"openapi":"/openapi.speakeasy.json DELETE /buyers/{buyer_id}","title":"Delete a buyer","href":"/reference/buyers/delete-buyer"},{"group":"Shipping details","pages":[{"openapi":"/openapi.speakeasy.json GET /buyers/{buyer_id}/shipping-details","title":"List a buyer's shipping details","href":"/reference/buyers/get-buyer-shipping-details"},{"openapi":"/openapi.speakeasy.json POST /buyers/{buyer_id}/shipping-details","title":"Add buyer shipping details","href":"/reference/buyers/new-buyer-shipping-detail"},{"openapi":"/openapi.speakeasy.json PUT /buyers/{buyer_id}/shipping-details/{shipping_details_id}","title":"Update a buyer's shipping details","href":"/reference/buyers/update-buyer-shipping-detail"},{"openapi":"/openapi.speakeasy.json DELETE /buyers/{buyer_id}/shipping-details/{shipping_details_id}","title":"Delete a buyer's shipping details","href":"/reference/buyers/delete-buyer-shipping-detail"}]}]},{"group":"Checkout Sessions","pages":[{"openapi":"/openapi.speakeasy.json POST /checkout/sessions","title":"Create checkout session","href":"/reference/checkout-sessions/new-checkout-session"},{"openapi":"/openapi.speakeasy.json GET /checkout/sessions/{session_id}","title":"Get checkout session","href":"/reference/checkout-sessions/get-checkout-session"},{"openapi":"/openapi.speakeasy.json PUT /checkout/sessions/{session_id}","title":"Update checkout session","href":"/reference/checkout-sessions/update-checkout-session"},{"openapi":"/openapi.speakeasy.json DELETE /checkout/sessions/{session_id}","title":"Delete checkout session","href":"/reference/checkout-sessions/delete-checkout-session"},{"openapi":"/openapi.v1.json PUT /checkout/sessions/{checkout_session_id}/fields","sidebarTitle":"Update session fields","title":null,"href":"/reference/checkout-sessions/update-checkout-session-fields"}]},{"group":"Payment links","pages":[{"openapi":"/openapi.speakeasy.json GET /payment-links","title":"List all payment links","href":"/reference/payment-links/list-payment-links"},{"openapi":"/openapi.speakeasy.json POST /payment-links","title":"Add a payment link","href":"/reference/payment-links/new-payment-link"},{"openapi":"/openapi.speakeasy.json GET /payment-links/{payment_link_id}","title":"Get payment link","href":"/reference/payment-links/get-payment-link"},{"openapi":"/openapi.speakeasy.json POST /payment-links/{payment_link_id}/expire","title":"Expire a payment link","href":"/reference/payment-links/expire-payment-link"}]},{"group":"Payment options","pages":[{"openapi":"/openapi.speakeasy.json POST /payment-options","sidebarTitle":"List payment option","title":"List payment options","href":"/reference/payment-options/list-payment-options-with-post"}]},{"group":"Refunds","pages":[{"openapi":"/openapi.speakeasy.json GET /transactions/{transaction_id}/refunds","title":"List transaction refunds","href":"/reference/transactions/list-transaction-refunds"},{"openapi":"/openapi.speakeasy.json POST /transactions/{transaction_id}/refunds","title":"Create transaction refund","href":"/reference/transactions/refund-transaction"},{"openapi":"/openapi.speakeasy.json POST /transactions/{transaction_id}/refunds/all","sidebarTitle":"Refund all instruments","title":"Create batch transaction refund","href":"/reference/transactions/refund-all"},{"sidebarTitle":"Get refund","title":"Get refund","openapi":"/openapi.speakeasy.json GET /refunds/{refund_id}","href":"/reference/transactions/get-refund"}]},{"group":"Sessions","pages":[{"openapi":"/openapi.speakeasy.json POST /payment-service-definitions/{payment_service_definition_id}/sessions","sidebarTitle":"Get session","title":"Create a session for apayment service definition","href":"/reference/payment-service-sessions/create-payment-service-session"},{"openapi":"/openapi.speakeasy.json POST /payment-services/{payment_service_id}/sessions","sidebarTitle":"Get session by ID","title":"Create a session for apayment service definition","href":"/reference/payment-service-sessions/create-payment-service-session-by-id"}]},{"group":"Instruments","pages":[{"group":"Card schemes","pages":[{"openapi":"/openapi.speakeasy.json GET /card-scheme-definitions","title":"List card scheme definitions","href":"/reference/card-schemes/list-card-scheme-definitions"}]},{"group":"Card details","pages":[{"openapi":"/openapi.v1.json GET /card-details","title":null,"href":"/reference/card-details/get-card-details"}]},{"group":"Digital wallets","pages":[{"openapi":"/openapi.speakeasy.json POST /digital-wallets/apple/session","title":"Create a Apple Pay session","href":"/reference/digital-wallets/get-apple-pay-session"},{"openapi":"/openapi.speakeasy.json POST /digital-wallets/google/session","title":"Create a Google Pay session","href":"/reference/digital-wallets/get-google-pay-session"},{"openapi":"/openapi.speakeasy.json POST /digital-wallets/click-to-pay/session","title":"Create a Click to Pay session","href":"/reference/digital-wallets/get-click-to-pay-session"}]},{"group":"Payment methods","pages":[{"openapi":"/openapi.speakeasy.json GET /buyers/payment-methods","title":"List payment methods for a buyer","href":"/reference/payment-methods/list-buyer-payment-methods"},{"openapi":"/openapi.speakeasy.json GET /payment-methods","title":"List all payment methods","href":"/reference/payment-methods/list-payment-methods"},{"openapi":"/openapi.speakeasy.json POST /payment-methods","title":"Create payment method","href":"/reference/payment-methods/new-payment-method"},{"openapi":"/openapi.speakeasy.json GET /payment-methods/{payment_method_id}","title":"Get payment method","href":"/reference/payment-methods/get-payment-method"},{"openapi":"/openapi.speakeasy.json DELETE /payment-methods/{payment_method_id}","title":"Delete payment method","href":"/reference/payment-methods/delete-payment-method"}]},{"group":"Payment method definitions","pages":[{"openapi":"/openapi.v1.json GET /payment-method-definitions","title":null,"href":"/reference/payment-method-definitions/list-payment-method-definitions"}]}]},{"group":"Vault","pages":[{"group":"Account updater","pages":[{"openapi":"/openapi.speakeasy.json POST /account-updater/jobs","sidebarTitle":"Create a job","title":"Create account updater job","href":"/reference/account-updater/new-account-updater-job"}]},{"group":"Network tokens","pages":[{"openapi":"/openapi.speakeasy.json GET /payment-methods/{payment_method_id}/network-tokens","title":"List network tokens","href":"/reference/network-tokens/list-network-tokens"},{"openapi":"/openapi.speakeasy.json POST /payment-methods/{payment_method_id}/network-tokens","title":"Provision network token","href":"/reference/network-tokens/provision-network-token"},{"openapi":"/openapi.speakeasy.json POST /payment-methods/{payment_method_id}/network-tokens/{network_token_id}/cryptogram","title":"Provision network token cryptogram","href":"/reference/network-tokens/get-network-token-cryptogram"},{"openapi":"/openapi.speakeasy.json POST /payment-methods/{payment_method_id}/network-tokens/{network_token_id}/suspend","title":"Suspend network token","href":"/reference/network-tokens/suspend-network-token"},{"openapi":"/openapi.speakeasy.json POST /payment-methods/{payment_method_id}/network-tokens/{network_token_id}/resume","title":"Resume network token","href":"/reference/network-tokens/resume-network-token"},{"openapi":"/openapi.speakeasy.json DELETE /payment-methods/{payment_method_id}/network-tokens/{network_token_id}","title":"Delete network token","description":"Delete a network token for a payment method.","href":"/reference/network-tokens/delete-network-token"}]},{"group":"Payment service tokens","pages":[{"openapi":"/openapi.speakeasy.json GET /payment-methods/{payment_method_id}/payment-service-tokens","title":"List payment service tokens","href":"/reference/payment-service-tokens/list-payment-service-tokens"},{"openapi":"/openapi.speakeasy.json POST /payment-methods/{payment_method_id}/payment-service-tokens","title":"Create payment service token","description":"Create a gateway tokens for a payment method.","href":"/reference/payment-service-tokens/provision-payment-service-token"},{"openapi":"/openapi.speakeasy.json DELETE /payment-methods/{payment_method_id}/payment-service-tokens/{payment_service_token_id}","title":"Delete payment service token","href":"/reference/payment-service-tokens/delete-payment-service-token"}]},{"group":"Vault Forward","pages":[{"openapi":"/openapi.v1.json POST /vault-forward","title":null,"href":"/reference/vault-forwarding/make-vault-forward"}]},{"group":"Vault Forward endpoints","pages":[{"openapi":"/openapi.v1.json GET /vault-forward/configs","sidebarTitle":"List endpoints","title":null,"href":"/reference/vault-forwarding/list-vault-forward-configs"},{"openapi":"/openapi.v1.json GET /vault-forward/configs/{config_id}","sidebarTitle":"Get endpoint","title":null,"href":"/reference/vault-forwarding/get-vault-forward-config"}]},{"group":"Vault Forward authentication","pages":[{"openapi":"/openapi.v1.json GET /vault-forward/configs/{config_id}/authentications","sidebarTitle":"Get authentications","title":null,"href":"/reference/vault-forwarding/list-vault-forward-authentications"},{"openapi":"/openapi.v1.json GET /vault-forward/configs/{config_id}/authentications/{authentication_id}","sidebarTitle":"Get authentication","title":null,"href":"/reference/vault-forwarding/get-vault-forward-authentication"},{"openapi":"/openapi.v1.json POST /vault-forward/configs/{config_id}/authentications","sidebarTitle":"Add authentication","title":null,"href":"/reference/vault-forwarding/add-vault-forward-authentication"},{"openapi":"/openapi.v1.json PUT /vault-forward/configs/{config_id}/authentications/{authentication_id}","sidebarTitle":"Update authentication","title":null,"href":"/reference/vault-forwarding/update-vault-forward-authentication"},{"openapi":"/openapi.v1.json DELETE /vault-forward/configs/{config_id}/authentications/{authentication_id}","sidebarTitle":"Remove authentication","title":null,"href":"/reference/vault-forwarding/delete-vault-forward-authentication"}]}]},{"group":"Errors","pages":[{"title":"Client-side errors (4XX)","sidebarTitle":"Client errors","href":"/reference/errors/client-errors"},{"title":"Server-side errors (5XX)","sidebarTitle":"Server errors","href":"/reference/errors/server-errors"},{"openapi":"/openapi.v1.json GET /api-logs","title":"List 4XX errors","href":"/reference/logs/list-api-error-logs"}]},{"group":"Other","pages":[{"group":"Reports","pages":[{"openapi":"/openapi.speakeasy.json GET /reports","title":"List configured reports","href":"/reference/reports/list-reports"},{"openapi":"/openapi.speakeasy.json GET /reports/{report_id}","title":"Get a report","href":"/reference/reports/get-report"},{"openapi":"/openapi.speakeasy.json POST /reports","title":"Add a report","href":"/reference/reports/new-report"},{"openapi":"/openapi.speakeasy.json PUT /reports/{report_id}","title":"Update a report","href":"/reference/reports/update-report"}]},{"group":"Report executions","pages":[{"openapi":"/openapi.speakeasy.json GET /report-executions","title":"List executed reports","href":"/reference/reports/list-all-report-executions"},{"openapi":"/openapi.speakeasy.json GET /reports/{report_id}/executions","title":"List executions for report","href":"/reference/reports/list-executions-for-report"},{"openapi":"/openapi.speakeasy.json GET /report-executions/{report_execution_id}","title":"Get executed report","href":"/reference/reports/get-report-execution"},{"openapi":"/openapi.speakeasy.json POST /reports/{report_id}/executions/{report_execution_id}/url","title":"Create URL for executed report","href":"/reference/reports/generate-download-url"}]}]}]},{"tab":"Updates","hidden":true,"pages":[{"title":"Updates","href":"/updates"}]}]},"basePath":"","title":"List payment service tokens - mattilda Pay","buildId":"dpl_DTau1J5HqS9UTgVSDwGksstFWtPa","deploymentId":"dpl_DTau1J5HqS9UTgVSDwGksstFWtPa","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-5FCzAcfS.js","utils-SLtAG4EZ.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-2DZi8ZMu.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-D7J3nkzE.js","snippetPresets-D0Alv0AH.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BI4qNJ2c.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BD3uyr8j.js","shallow-D8iEBr5z.js","getApiPlaygroundDisplay-CgNP4lzR.js","CodeSnippet-CX-QHuMs.js","CodeSnippets-VlXE-ZUf.js","Page-D9ithiIZ.js","getPastedJson-DYNQkZ1M.js","icon-CzacdwOi.js","MethodPill-2JVqoYKi.js","DuplicateIcon-_xVXs-U8.js","createIcon-BRHrweLo.js","DynamicMarkdown-mQG_iQiE.js","SectionHeading-DMpJzv8f.js","axios-vUo_bRtp.js","Markdown-5FGIym-8.js","clsx-D-TRO5q5.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CdrJecqK.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-CHlcWBLM.js"]}